<?php
/**
 * Created by PhpStorm.
 * User: leonardocarvalho
 * Date: 17/02/2016
 * Time: 10:49
 */

namespace HCM\Geral\Controllers;

use \Zeedhi\Framework\DTO\Response;
use \Zeedhi\Framework\DTO\Response\Message;

class FileController extends \Zeedhi\Framework\Controller\Simple {

    protected $fileService;

    public function __construct(\HCM\Geral\Services\FileService $fileService) {
        $this->fileService = $fileService;
    }

    public function uploadFile($request, $response) {
        try {
            $dataset = $request->getDataSet();
            $dataset = $dataset->getRows();
            $dataset = $dataset[0]['file'];

            $upload = $this->fileService->uploadFile($dataset);
            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('uploadFile', array($upload)));
        } catch(\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }
    }

}