-- ============================================================
-- Table: GPE_FATRISCAMB
-- ============================================================
CREATE TABLE GPE_FATRISCAMB
(
NRORG NUMBER NOT NULL,
NRFATRISCAMB NUMBER NOT NULL,
DSFATRISCAMB VARCHAR2(500) NOT NULL,
CDESOCIAL VARCHAR2(20) NOT NULL,
IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
CONSTRAINT CKC_IDATIVO_FATRISAMB CHECK (IDATIVO IN ('N','S')),
DTINCLUSAO DATE DEFAULT SYSDATE NOT NULL,
DTULTATU DATE NULL,
NRORGINCLUSAO NUMBER(22) DEFAULT 1 NULL ,
CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL ,
NRORGULTATU NUMBER(22) DEFAULT 1 NULL ,
CDOPERULTATU VARCHAR2(12) DEFAULT '1' NULL ,
CONSTRAINT PK_GPE_FATRISCAMB PRIMARY KEY (NRFATRISCAMB)
)
/
-- ============================================================
-- Table: SST_FATORRISCO
-- ============================================================
ALTER TABLE SST_FATORRISCO ADD NRFATRISCAMB NUMBER
/
ALTER TABLE SST_FATORRISCO
ADD CONSTRAINT FK_FATRIS_FATRISAMB FOREIGN KEY (NRFATRISCAMB)
REFERENCES GPE_FATRISCAMB (NRFATRISCAMB)
/